Subject: Re: "Re: FVWM: focus and pointer"

From: Brady Montz <[email-masked]>
Date: Thu, 18 Apr 1996 16:48:13 -0700 (MST)

> Ever used TVTWM?  With the Icon Manager (like FvwmWinList, except better),
> you move the mouse over a button representing the window, and that window
> receives focus.  The pointer doesn't warp, it just reassigns focus.  The
> focus will then be on the new window until the pointer crosses another
> window boundary, where it will switch to that new window.  However, you
> could just leave the mouse on the Icon Manager and switch focus that way. 
> I've been using Fvwm95 for a couple days, and FvwmTaskBar looks like a
> really good replacement for the Icon Manager, but without a way to Focus
> without warping the mouse, it's impossible (and no, using ClickToFocus is
> not an option). 
> 
> I wrote a new FVWM command, FocusOnly, which simply focuses the given
> window, and doesn't warp the pointer, raise it, iconify it, or do anything
> else.   I can send a patch if anyone wants to see it.
> 
> Brian
> 

Try FvwmIconMan. Comes with 2.0.42 now. I modeled it on the twm icon manager.
You have to apply a patch to fvwm though to get the nice focus behavior. I'd
like to see your patch to compare with what I'm currently using. How does it
handle windows on other desktops. When I wrote my patch, I couldn't get it to
send focus to windows on other desktops (other pages are fine) since fvwm
seems to have some restrictions built into the code about just that, and I
didn't want to spend the time to really look into it.

[email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Kai Grossjohann <[email-masked]>
Date: 19 Apr 1996 12:33:37 +0200

>>>>> On Thu, 18 Apr 1996 16:48:13 -0700 (MST), Brady Montz
>>>>> <[email-masked]> said:

  Brady> Try FvwmIconMan. Comes with 2.0.42 now. I modeled it on the
  Brady> twm icon manager.

I have 2.0.42.  I use FvwmIconMan.  While I like it a lot, there's one
behavior that it doesn't have:  When you put the mouse pointer in the
IconMan, on any specific window, that window doesn't have focus.  With
*twm window managers you can tell it that if the mouse pointer is on a
window in the icon manager that window gets focus.

To reiterate Eli's problem.  AFAIK, there is NO WAY in fvwm to get all
of the following simultaneously:
  - FocusFollowsMouse
  - Binding something to a key to Focus a window _without moving the
    mouse away from where it was when the key was pressed_.

Maybe we should introduce into Fvwm a distinction between Focus (only
change focus, do no move mouse pointer at all) and Warp (move the
mouse pointer into a window, optionally giving that window focus, too).

kai
--
There ain't no cure for the summertime blues.